> ## Documentation Index
> Fetch the complete documentation index at: https://docs.joinmassive.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Devices

> Retrieve supported device names.



## OpenAPI

````yaml get /browser/devices
openapi: 3.1.0
info:
  title: Massive
  description: The missing services for agent-first development.
  version: 1.0.0
servers:
  - url: https://render.joinmassive.com
security:
  - bearerAuth: []
paths:
  /browser/devices:
    get:
      summary: Devices
      description: Retrieve supported device names.
      responses:
        '200':
          description: The device names.
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
                example:
                  - Blackberry PlayBook
                  - Blackberry PlayBook landscape
                  - BlackBerry Z30
                  - <string>
        '401':
          $ref: '#/components/responses/authenticationError'
        '402':
          $ref: '#/components/responses/creditsError'
        '403':
          $ref: '#/components/responses/authorizationError'
components:
  responses:
    authenticationError:
      description: The authorization header was missing.
      content:
        text/plain:
          schema:
            type: string
            example: Authorization header must be provided
    creditsError:
      description: No more credits are available.
      content:
        text/plain:
          schema:
            type: string
            example: >-
              Credit balance is 0; top up at
              https://dashboard.joinmassive.com/plans
    authorizationError:
      description: The API token was invalid.
      content:
        text/plain:
          schema:
            type: string
            example: Valid API token must be provided
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````